Routes

Get a wealth collection document

GEThttps://api.insurely.com/wealth/collection/{collectionId}/document/{documentId}

Fetches the PDF behind a document reference returned in the wealth data of a collection. The French career statement (relevé de carrière) carries such a reference: read document.id off the FRENCH_CAREER_STATEMENT product and pass it here as documentId.

Request

Path Parameters

collectionIdstring
documentIdstring

Id of the document to fetch. Use the document.id value from a FRENCH_CAREER_STATEMENT financial product in the response of GET /wealth/collection/{collectionId}/data.

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Responses

Document successfully fetched.

Body

application/pdf

cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/document/{documentId}